.\" Man page generated from reStructuredText.
.
.TH MWIC 1 "2023-02-23" "mwic 0.7.10" ""
.SH NAME
mwic \- Misspelled Words In Context
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.SH SYNOPSIS
.sp
\fBmwic\fP [\-l \fIlang\fP] [\fIoption\fP\&...] [\fIfile\fP\&...]
.SH DESCRIPTION
.sp
\fBmwic\fP is a spell\-checker that groups possible misspellings and shows them in their contexts.
This is useful for checking technical documents,
which often contain words that are not included in standard dictionaries.
.SH OPTIONS
.INDENT 0.0
.TP
.BI \-l \ lang\fR,\fB \ \-\-language \ lang
Spell\-check for this language.
The default is \fBen\fP\&.
.TP
.B \-\-list\-languages
Print list of available languages.
.TP
.BI \-\-blacklist \ file
Treat words from the external dictionary as misspelled.
The dictionary can be in the format used by \fILintian\fP,
or in the format used by \fIcodespell\fP,
or in the format used by \fIkde\-spellcheck\fP (part of \fIkde\-dev\-scripts\fP);
or it can be plain newline\-separated word list.
This option can be used multiple times.
.TP
.B \-\-camel\-case
Split camel\-cased compound words.
For example, treat “eggBaconAndSpam” as 4 separate words.
.TP
.BI \-\-input\-encoding \ enc
Assume this input encoding.
The default is \fBUTF\-8:replace\fP
(UTF\-8 encoding
with error handler replacing malformed characters with U+FFFD).
.TP
.BI \-f \ fmt\fR,\fB \ \-\-output\-format \ fmt
If \fIfmt\fP is \fBplain\fP,
output plain text verbatim and highlight misspellings with the \fB^\fP character.
This is the default if stdout is not a terminal.
.sp
If \fIfmt\fP is \fBcolor\fP,
escape control characters and highlight misspellings with colors.
This is the default if stdout is a terminal.
.TP
.B \-r\fP,\fB  \-\-reverse
Print words in reverse order,
that is, the most common words first.
.TP
.B \-\-compact
Omit blank lines in output.
.TP
.BI \-\-limit \ n
Assume that words that occurred more than \fIn\fP times are spelled correctly.
.TP
.BI \-\-max\-context\-width \ n
Limit context width to \fIn\fP characters.
The default is 30.
.TP
.BI \-\-suggest \ n
Suggest up to \fIn\fP corrections.
.TP
.B \-h\fP,\fB  \-\-help
Show help message and exit.
.TP
.B \-\-version
Show version information and exit.
.UNINDENT
.SH ENVIRONMENT
.INDENT 0.0
.TP
.B PAGER
If stdout is a terminal, mwic pipes the output through \fB$PAGER\fP\&.
The default is \fBpager\fP (if it exists) or \fBmore\fP\&.
.TP
.B LESS
If this variable is unset, mwic sets it
to \fB\-FX\fP,
or to \fB\-FXR\fP if the output is in color.
.TP
.B LV
If this variable in unset, and the output is in color,
mwic sets this variable to \fB\-c\fP\&.
.UNINDENT
.SH FILES
.sp
Spell\-checking can be eased by using dictionaries of commonly misspelled words.
\fBmwic\fP doesn't ship with one,
but it can use a number of dictionaries from third\-party projects:
.INDENT 0.0
.IP \(bu 2
Lintian:
.nf
\fI\%https://salsa.debian.org/lintian/lintian/raw/master/data/spelling/corrections\fP
\fI\%https://salsa.debian.org/lintian/lintian/raw/master/data/spelling/corrections\-case\fP
.fi
.sp
.IP \(bu 2
Linux kernel:
.nf
\fI\%https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/plain/scripts/spelling.txt\fP
.fi
.sp
.IP \(bu 2
codespell:
.nf
\fI\%https://github.com/codespell\-project/codespell/raw/master/codespell_lib/data/dictionary.txt\fP
.fi
.sp
.IP \(bu 2
kde\-dev\-scripts:
.nf
\fI\%https://github.com/KDE/kde\-dev\-scripts/raw/master/kde\-spellcheck.pl\fP
.fi
.sp
.UNINDENT
.SH EXAMPLE
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
$ mwic \-\-blacklist /usr/share/lintian/data/spelling/corrections \-\-compact rfc1927.txt
heirarchical:
| …g paper clips vs small ones; heirarchical assembly
                                ^^^^^^^^^^^^
multipart:
| …tes the degree of binding of multipart documents:
                                ^^^^^^^^^
reycled:
| 1) staples could be reycled for a small credit
                      ^^^^^^^
.ft P
.fi
.UNINDENT
.UNINDENT
.sp
\fI\&...\fP
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
EMail, edu, isi:
| EMail: rogers@isi.edu
  ^^^^^         ^^^ ^^^
electonic:
| drawer of the electonic desk on home PCs
|            3) electonic staples should have a standa…
                ^^^^^^^^^
.ft P
.fi
.UNINDENT
.UNINDENT
.SH SEE ALSO
.sp
\fBspellintian\fP(1),
\fBcodespell\fP(1);
.sp
“English for software localisation”
<\fI\%http://jbr.me.uk/linux/esl.html\fP>
by Justin B Rye
.
.\" Generated by docutils manpage writer.
.
